info_app/urls.py
from django.urls import path

from info_app.views import HomeInformation, ContactUs, CustomLoginView

urlpatterns = [
    path('', HomeInformation.as_view(), name="home"),
    path('contact_us/', ContactUs.as_view(), name="contact_us"),
    path('login/', CustomLoginView.as_view(), name="login"),

]

spa_booking/urls.py
from django.conf import settings
from django.conf.urls import url
from django.conf.urls.static import static
from django.contrib import admin
from django.urls import path, include
from django.views.generic import TemplateView
from django.conf.urls.i18n import i18n_patterns


urlpatterns = [
    path('api/', include('hotel_app.urls')),
    path('api/', include('user_app.api_urls')),
    path('api/', include('service_app.api_urls')),
    path('api/', include('order_app.api_urls')),
    path('i18n/', include('django.conf.urls.i18n')),
    path('admin/', admin.site.urls),
    path('', include('info_app.urls')),
    path('account/', include('user_app.urls')),
    path('book/', include('service_app.urls'), name="book"),
    path('pdf/', TemplateView.as_view(template_name='user_app/pdf_spa_booking.html'))
]

urlpatterns += i18n_patterns(
    # path('account/', TemplateView.as_view(template_name='apps/account.html'), name="account"),
    # path('admin_account/', TemplateView.as_view(template_name='apps/admin-account.html'), name="admin-account"),
    # path('book2/', TemplateView.as_view(template_name='apps/book2.html'), name="book2"),
    # path('book3/', TemplateView.as_view(template_name='apps/book3.html'), name="book3"),
    # path('book_admin/', TemplateView.as_view(template_name='apps/book-admin.html'), name="book-admin"),
    # path('therapist_account/', TemplateView.as_view(template_name='apps/therapist-account.html'), name="therapist-account"),
)

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT) \
                 + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

info_app/models.py
from django.db import models
from django.utils.translation import gettext as _

from spa_booking.constants import *
from spa_booking.validators import ImageValidator


class InformationPageModel(models.Model):

    class Meta:
        db_table = 'information_page'
        verbose_name = _('Information page')
        verbose_name_plural = _('Information pages')

    img = models.ImageField(verbose_name=_('Information photo'), upload_to="info/img", validators=[ImageValidator(size=256000, width=1000, height=1000)], null=True, blank=True)

    def __str__(self):
        return f'{self.translations.get(lang=EN).title if self.translations.filter(lang=EN) else "-"} / ' \
               f'{self.translations.get(lang=DE).title if self.translations.filter(lang=DE) else "-"}'


class InformationTranslationModel(models.Model):
    class Meta:
        db_table = 'information_translation'
        verbose_name = _('Information translation')
        verbose_name_plural = _('Information translation')
        constraints = [
            models.UniqueConstraint(fields=['information', 'lang'],
                                    name='unique_info_lang_translation')
        ]

    information = models.ForeignKey(to="InformationPageModel", on_delete=models.CASCADE,
                                    related_name='translations',
                                    verbose_name=_("Information"),
                                    null=False, blank=False,
                                    )
    lang = models.CharField(verbose_name=_("Language"), choices=LANG, max_length=2, null=False, blank=False)
    title = models.CharField(verbose_name=_("Title"), max_length=255, null=False, blank=False)


class ServiceInfoModel(models.Model):

    class Meta:
        db_table = 'service_info'
        verbose_name = _('Service Info')
        verbose_name_plural = _('Services Info')

    CHOICES_URL = (
        ('home_url', 'home'),
        ('contact_url', 'contact_us'),
    )

    CHOICES_POSITION = (
        ('left_block', 'left'),
        ('centre_block', 'centre'),
        ('right_block', 'right'),
    )

    img = models.ImageField(verbose_name=_('Service photo'), validators=[ImageValidator(size=256000, width=1000, height=1000)], upload_to="service_info/img", null=True, blank=True)
    urls = models.CharField(verbose_name=_("Service info urls"), max_length=255, null=False,
                            blank=False, choices=CHOICES_URL, default='')
    position_block = models.CharField(verbose_name=_("Service info position block"), max_length=255, null=True,
                                      blank=True, choices=CHOICES_POSITION, default='')

    def __str__(self):
        return f'{self.translations.get(lang=EN).title if self.translations.filter(lang=EN) else "-"} / ' \
               f'{self.translations.get(lang=DE).title if self.translations.filter(lang=DE) else "-"}'


class ServiceInfoTranslationModel(models.Model):
    class Meta:
        db_table = 'service_info_translation'
        verbose_name = _('Service information translation')
        verbose_name_plural = _('Service information translation')
        constraints = [
            models.UniqueConstraint(fields=['service_information', 'lang'],
                                    name='unique_service_info_lang_translation')
        ]

    service_information = models.ForeignKey(to="ServiceInfoModel", on_delete=models.CASCADE,
                                            related_name='translations',
                                            verbose_name=_("Service information"),
                                            null=False, blank=False,
                                            )
    lang = models.CharField(verbose_name=_("Language"), choices=LANG, max_length=2, null=False, blank=False)
    title = models.CharField(verbose_name=_("Title"), max_length=255, null=False, blank=False)
    desc = models.TextField(verbose_name=_('Description'), null=False, blank=False)


class FooterInfoModel(models.Model):

    class Meta:
        db_table = 'footer_info'
        verbose_name = _('Footer information')
        verbose_name_plural = _('Footer information')

    img = models.ImageField(verbose_name=_('Footer photo'), upload_to="footer/img", validators=[ImageValidator(size=256000, width=1920, height=1080)], null=True, blank=True)

    def __str__(self):
        return f'{self.translations.get(lang=EN).title if self.translations.filter(lang=EN) else "-"} / ' \
               f'{self.translations.get(lang=DE).title if self.translations.filter(lang=DE) else "-"}'


class FooterInfoTranslationModel(models.Model):
    class Meta:
        db_table = 'footer_info_translation'
        verbose_name = _('Footer information translation')
        verbose_name_plural = _('Footer information translation')
        constraints = [
            models.UniqueConstraint(fields=['footer_information', 'lang'],
                                    name='unique_footer_info_lang_translation')
        ]

    footer_information = models.ForeignKey(to="FooterInfoModel", on_delete=models.CASCADE,
                                           related_name='translations',
                                           verbose_name=_("Footer information"),
                                           null=False, blank=False,
                                           )
    lang = models.CharField(verbose_name=_("Language"), choices=LANG, max_length=2, null=False, blank=False)
    title = models.CharField(verbose_name=_("Title"), max_length=255, null=False, blank=False)
    desc = models.TextField(verbose_name=_('Description'), null=False, blank=False)


class ContactModel(models.Model):
    class Meta:
        db_table = 'contact'
        verbose_name = _('Contact')
        verbose_name_plural = _('Contacts')

    img = models.FileField(verbose_name=_('Contact photo'), upload_to="contact/img", null=True, blank=True)
    social_networks_urls = models.CharField(verbose_name=_("Social networks urls"), max_length=300, null=False,
                                                 blank=False, default='')

    # def __str__(self):
    #     return f'{self.contact_translations.get(lang=EN).company_name if self.contact_translations.filter(lang=EN) else "-"} / ' \
    #            f'{self.contact_translations.get(lang=DE).company_name if self.contact_translations.filter(lang=DE) else "-"}'

#
# class ContactTranslationModel(models.Model):
#     class Meta:
#         db_table = 'contact_translation'
#         verbose_name = _('Contact translation')
#         verbose_name_plural = _('Contacts translation')
#         constraints = [
#             models.UniqueConstraint(fields=['contact', 'lang'],
#                                     name='unique_contact_lang_translation')
#         ]
#
#     contact = models.ForeignKey(to="ContactModel", on_delete=models.CASCADE, related_name='contact_translations',
#                                 verbose_name=_("Contact"),
#                                 null=False, blank=False,
#                                 )
#     lang = models.CharField(verbose_name=_("Language"), choices=LANG, max_length=2, null=False, blank=False)
#     company_name = models.CharField(verbose_name=_("Company name"), max_length=255, null=False, blank=False, default='')
#     contact_for_work = models.TextField(verbose_name=_("Contact for work"), null=False, blank=False, default='')
#     social_networks_urls = models.CharField(verbose_name=_("Social networks urls"), max_length=255, null=False,
#                                             blank=False, default='')

info_app/views.py
from django.contrib import messages
from django.contrib.auth.forms import AuthenticationForm
from django.contrib.auth.views import LoginView
from django.contrib.messages import get_messages
from django.shortcuts import redirect
from django.urls import reverse
from django.views import generic
from spa_booking.helper import get_footer_info
from .models import *
from django.utils.translation import get_language


class HomeInformation(generic.ListView):
    model = InformationPageModel
    template_name = 'info_app/home.html'
    context_object_name = 'information_list'

    def get_context_data(self, **kwargs):
        context = super(HomeInformation, self).get_context_data(**kwargs)
        try:
            service_centre_block = ServiceInfoModel.objects.get(position_block='centre_block')
            service_left_block = ServiceInfoModel.objects.get(position_block='left_block')
            service_right_block = ServiceInfoModel.objects.get(position_block='right_block')
        except ServiceInfoModel.DoesNotExist:
            return None

        context.update(
            {'footer_info': get_footer_info(),
             'contacts': ContactModel.objects.all(),
             'service_centre_block': service_centre_block,
             'service_left_block': service_left_block,
             'service_right_block': service_right_block,
             }
        )
        return context

    def get_queryset(self):
        return InformationPageModel.objects.first()


class ContactUs(generic.ListView):
    model = InformationPageModel
    template_name = 'info_app/contactUs.html'
    context_object_name = 'contacts_list'

    def get_context_data(self, **kwargs):
        context = super(ContactUs, self).get_context_data(**kwargs)
        context.update(
            {'footer_info': get_footer_info(),
             'contacts': ContactModel.objects.all(),
             'form': AuthenticationForm,
             'errors': get_messages(self.request)}
        )
        return context


class CustomLoginView(LoginView):
    template_name = 'info_app/forms_html/login_form.html'

    def get_success_url(self):
        return reverse("book")

    def form_invalid(self, form):
        errors = []
        error_data = form.errors.as_data()
        for field in error_data:
            for error_class in error_data.get(field):
                for error in error_class:
                    errors.append(error)
        messages.error(request=self.request, message=''.join(errors))
        return redirect(reverse(viewname='contact_us'))

templates/info_app/contactUs.html
{% extends 'base.html' %}
{% load static %}
{% load static i18n %}
{% block title %} {% translate 'Contact Us' %} {% endblock title %}

{% block content %}
<body class="contact">
	<section>
		<div onclick="shift_a_good()" class="widthWrapper searchBar">
  			<input onclick="shift_a_good()" id="tags"  placeholder="{% translate "SEARCH FOR HOTELS" %}"> 
		</div>
		<div id="map" style="width: 100%; height: 700px;">

		</div>
		<!-- <div class="map" style="width: 100%"><iframe width="100%" height="491" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" src="https://maps.google.com/maps?width=100%25&amp;height=491&amp;hl=en&amp;q=geneve+(My%20Business%20Name)&amp;t=&amp;z=14&amp;ie=UTF8&amp;iwloc=B&amp;output=embed"></iframe></div> -->
		{% if user.is_anonymous %}
        <div class="widthWrapper">
			<div class="login">
   			<h1>{% translate "LOGIN" %}</h1>
   			<p>{% translate "Please enter your e-mail and password" %}</p>
            {% include 'info_app/forms_html/login_form.html' %}
		</div>
        {% endif %}
		</div>		
		<div class="cardContentWrapper">
			<div class="widthWrapper">
				<div class="cardContent">
					<div class="cardContent__text">
						<span>Local. Authentic.  Fresh. </span>
						<h2>The ULTIMATE</h2>
						<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
					</div>
					<div class="cardContent__pic">
						<img src="{% static 'app/images/src/ultimate.jpg' %}" alt="">
					</div>				
				</div>
			</div>
		</div>
	</section>
{% endblock content %}

templates/info_app/home.html
{% extends 'base.html' %}
{% load static %}
{% load static i18n %}
{% load translations %}
{% block title %}{% translate 'Home' %}{% endblock title %}


{% block content %}
{% get_current_language as LANGUAGE_CODE %}
<body class="haveSlider">
	<section class="home transformed">
		<div class="widthWrapper">
			<div class="home__textWrapper">
                {% if information_list %}
                <p>{{ information_list|get_title:LANGUAGE_CODE }}</p>
                {% endif %}
			</div>
			<ul class="cardsList slider">
                {% if service_left_block %}
				<li class="cardsList__item disabled">
					<span class="borderDiv"></span>
                    {% if service_left_block.img %}
					<div class="learnMore" style="background: url({{ service_left_block.img.url }}) no-repeat center center / cover;">
						<span>{% translate 'Learn More' %}</span>
					</div>
                    {% endif %}
						<div class="cardText">
							<h3>{{ service_left_block|get_title:LANGUAGE_CODE }}</h3>
							<p>{{ service_left_block|get_description:LANGUAGE_CODE }}</p>
							<a href="{{ service_left_block.get_urls_display }}/">EXPLORE MORE</a>
					    </div>
                {% endif %}
				</li>
                {% if service_centre_block %}
				<li class="cardsList__item">
					<span class="borderDiv"></span>
                    {% if service_centre_block.img %}
					<div class="learnMore" style="background: url({{ service_centre_block.img.url }}) no-repeat center center / cover;">
						<span>{% translate 'Learn More' %}</span>
					</div>
                    {% endif %}
					<div class="cardText">
						<h3>{{ service_centre_block|get_title:LANGUAGE_CODE }}</h3>
						<p>{{ service_centre_block|get_description:LANGUAGE_CODE }}</p>
						<a href="{{ service_centre_block.get_urls_display }}/">EXPLORE MORE</a>
					</div>
                {% endif %}
				</li>
                {% if service_right_block %}
				<li class="cardsList__item disabled">
					<span class="borderDiv"></span>
                    {% if service_right_block.img %}
					<div class="learnMore" style="background: url({{ service_right_block.img.url }}) no-repeat center center / cover;">
						<span>{% translate 'Learn More' %}</span>
					</div>
                    {% endif %}
					<div class="cardText">
						<h3>{{ service_right_block|get_title:LANGUAGE_CODE }}</h3>
						<p>{{ service_right_block|get_description:LANGUAGE_CODE }}</p>
						<a href="{{ service_right_block.get_urls_display }}/">{% translate 'EXPLORE MORE' %}</a>
					</div>
                {% endif %}
				</li>
			</ul>
		</div>
	</section>
{% endblock content %}